SPI_freetuptable()

NAME
SPI_freetuptable - free a row set created by SPI_exec or a similar function

SYNOPSIS

void SPI_freetuptable(SPITupleTable * tuptable)

DESCRIPTION

SPI_freetuptable frees a row set created by a prior SPI command execution function, such as SPI_exec. Therefore, this function is usually called with the global variable SPI_tupletable as argument.

This function is useful if a SPI procedure needs to execute multiple commands and does not want to keep the results of earlier commands around until it ends. Note that any unfreed row sets will be freed anyway at SPI_finish.

ARGUMENTS

SPITupleTable * tuptable
    pointer to row set to free